"use strict";

const createDatasheet = require("../../shared/create-datasheet");

module.exports = function lcscNormalizeProduct() {
	return async function (api) {
		let { data } = api;

		createDatasheet(api, {
			priority: 0.4,
			source: "lcsc",
			manufacturer: data.manufacturer.en,
			productID: data.number,
			name: data.info.number,
			description: data.description,
			url: data.datasheet.pdf
		});
	};
};
